Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source.

0
votes
0answers
33 views

ferret installation in ubuntu 18.04 using the new releases

Can anybody walk me through the steps for installing ferret in ubuntu 18.04.I have tried a number of times using the recent release files from https://github.com/NOAA-PMEL/Ferret/releases.But always i ...
0
votes
0answers
165 views

How to install Oracle Database Express Edition (XE) Release 18.4.0.0.0 (18c) on ubuntu 16.04?

wanted to work on SQL using sql*plus 18.3 on my Ubuntu PC as i installed it asks me username and password and since i don't have any oracle database installed on my PC i can't connect to it. as i ...
0
votes
1answer
54 views

How can I install Marlin file manager in Ubuntu 16.04?

Since nautilus doesn't have a column view option I want to install marlin file manager which provides column view. I use Ubuntu 16.04 installed machine. I tried several ways proposed on the web to ...
0
votes
0answers
21 views

Installing OpenFOAM 5 on Ubuntu 16.4 64 bit

I want to install OpenFoam 5 on ubuntu 16.04 64 bit and there is an error like this: Reading package lists... Done Building dependency tree Reading state information... Done The following ...
1
vote
0answers
42 views

In Ubuntu Team-Viewer installs two versions how to uninstall the older version?

In Ubuntu team-viewer installs two versions how to un-install the older version? version : ubuntu - 18.04 , old Team-viewer - 12, new Team-viewer 14
3
votes
1answer
114 views

How can I install the util linux version of the column command in 18.04?

The version of the column command available via Util Linux is far more comprehensive than the one included in bsdmainutils. It includes extensive options for output formatting. I would really like to ...
0
votes
0answers
68 views

Can't seem to install anything by snap

I had tried to install application through snap on Ubuntu 18.04.01 LTS (OS Type: 64 bit). when i tried to install notepad-plus-plus i got the following errors. sudo snap install notepad-plus-plus ...
0
votes
0answers
19 views

Install Word search Bible software

It is a .exe file, so I tried using Wine as well as playonlinux with no success. If there's not any way to install it, how should I approach it? Do I need to ask the WordSearch Bible creators and ...
0
votes
0answers
50 views

No sound (no sound card detected) - ubuntu 16.04 LTS

aplay -l aplay: device_list:268: no soundcards found... lspci -nnk | grep -A2 Audio Audio device [0403]: Intel Corporation Device [8086:a2f0] Subsystem: Micro-Star International Co., Ltd. [...
0
votes
0answers
41 views

How do I install Steam? [duplicate]

How can I install Steam on Ubuntu when it says that I haven't installed libgl.so 1 and libdrm.so 2. and what are these?
0
votes
2answers
135 views

How to remove BetBlocker

I've installed BetBlocker but have noticed that, although it works as intended, it works a little too much for a lot of sites I use throughout the day. Namely Youtube, Facebook and anything else that ...
1
vote
1answer
58 views

Ubuntu 14.04 Try to “sudo add-apt-repository ppa:tualatrix/ppa” failed

I try to add ppa for install Ubuntu Tweak, but I can't do this. Terminal print: Cannot add PPA: 'ppa:tualatrix/ppa'. Please check that the PPA name or format is correct. Then how install Ubuntu Tweak? ...
-1
votes
0answers
54 views

Problems in installing VLC [duplicate]

While installing VLC player this error occurs. sudo apt install vlc Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package vlc ...
1
vote
1answer
33 views

Read full dpkg database state without dpkg program

From a Live USB, and without using the installed Ubuntu's programs like dpkg, dpkg-query, dselect, aptitude, apt-get, or any other (as they are all broken Illegal instruction), how do I read the ...
1
vote
1answer
38 views

How can I get the Similar Package list from the terminal?

On the Ubuntu packages website (as well as on the Debian packages website), the page for each package contains a list of "similar packages." For example, on the page for Kate in the Bionic repository,...
1
vote
0answers
23 views

Ubuntu Installation Frozen on Language Select Screen MacBook Pro

I am unable to install Ubuntu on my MacBook Pro. I have it written to a USB drive, and I get up to the language select screen before everything just freezes. Cursor won't move as I use the touchpad, ...
0
votes
0answers
17 views

some-ppa.listM-M sudo problem [duplicate]

My Sudo is not working. I am a new Ubuntu user. Please help me. What is error in my sudo? How can I slove it? Here I am typing my error: N: Ignoring file 'some-ppa.listM-M' in directory '/etc/apt/...
0
votes
0answers
47 views

Uninstalling “Maven” and “npm” installed from source

I needed to remove "Maven" Installed with binary files and npm. I followed this link: How to install maven on ubuntu and also npm installed with: curl -sL https://deb.nodesource.com/setup_8.x | ...
0
votes
0answers
17 views

GNU ld aborted for internal error when building LLVM

When I tried to build LLVM 8 using gcc tool chains, some problems happened. First ld was killed, and as the build skipped this failure and continued, ld aborted itself with an internal error. Given a ...
0
votes
2answers
68 views

Where, and how, do I install multiple packages stored in a local directory? [duplicate]

I've found several posts about mass installing Linux packages with one command here, here, and here. Here's my situation. I'm in a 3rd-world country right now with limited internet access. I want to ...
0
votes
0answers
35 views

NetBeans 8.1 does not start fully [duplicate]

Below is what comes up when I open NetBeans. Then it closes... I tried using the sudo dpkg --get-selections command:
1
vote
1answer
62 views

gsl library: gslcblas library not found but installed

I have problems with installing the gsl package. Running Xubuntu 18.04, octave 4.4.1. Using -forge, the installation process stalls with the following message: pkg install -forge gsl configure: ...
0
votes
1answer
37 views

Removing package from install queue [duplicate]

So this seems simple, but I've been googling for days. An install of gitlab went wrong, so I tried to purge it to reinstall, however I get this: dpkg: error processing package gitlab-ce (--remove): ...
1
vote
0answers
32 views

Unable to install CPU Sim [duplicate]

I came across this error while installing cpusim3.9.0: Exception in thread "main" java.lang.NoClassDefFoundError: cpusim.util.CPUSimConstants at cpusim.Main.main(Main.java:135) I followed this ...
0
votes
2answers
105 views

ISO file size correct?

I tried to download Ubuntu 18.04 Desktop 64 bit, and got 3 ISO images named: ubuntu-18.04.1-desktop-amd64.iso ubuntu-18.04.1-desktop-amd64 (1).iso ubuntu-18.04.1-desktop-amd64 (2).iso All with file ...
0
votes
0answers
16 views

Where to install sample data with a debian package

I'm currently porting a Windows application to Linux which has a set of sample data (images, configurations, source code, etc.) that can be used and changed by the user. To allow the user to actually ...
0
votes
0answers
17 views

Could I safely remove the build subdirectory after having compiled a program from sources?

Description: When I compile a software from sources, I usually do it in the /opt folder (don't ask my why, I don't know) by running these commands; $ git clone < git url of the software > $ ...
0
votes
1answer
55 views

Installing Harrison Mixbus 32C-5

I am trying to install "harrison mixbus 32C-5" for Linux in Ubuntu 18.04. It is distributed as a "Mixbus32C-5.1.0-x86_64-gcc5.run" file. I use the "chmod +x Mixbus32C-5.1.0-x86_64-gcc5.run" ...
0
votes
1answer
167 views

I received an error fetching bootstrap, SSLHandshakeException : handshake_failure running runelite on lubuntu

I received the following error whilst trying to launch a RuneLite jar on a freshly installed Lubuntu(18.10 64bit): [main] ERROR net.runelite.launcher.Launcher -error fetching bootstrap javax....
0
votes
1answer
271 views

Error while configuring ORACLE 18c XE

I have installed the rpm of 18c express edition. But while configuring the database Iam getting the below error root@venky:/opt/oracle/cfgtoollogs/dbca# /etc/init.d/oracle-xe-18c configure /etc/init....
0
votes
2answers
1k views

How to install oracle 18c XE rpm package on Ubuntu 18.04 [duplicate]

I have downloaded the rpm file. But not knowing how to install the db! Any sort of help please?
1
vote
0answers
61 views

Can't run Maya 2017 on Ubuntu 18.04 (error while loading shared libraries: libcurl.so.4)

I used this instruction manual: "Install Autodesk Maya on Ubuntu 18.04" to run Maya 2017 on Ubuntu 18.04: When I tried to enter "/usr/autodesk/maya2017/bin/maya.bin", it displayed the message /usr/...
0
votes
0answers
44 views

I am trying to downgrade make from 4.1 to 3.81

I downloaded 3.81 file from http://ftp.gnu.org/gnu/make/ after then extracted it & then inside the extracted file I opened terminal but I got errors... ./config make sudo make install After make ...
0
votes
2answers
218 views

dpkg package pre-installation script subprocess returned error exit status 2 on 18.04

I used Docker to set up an Ubuntu 18.04 container, and then tried to install the .deb file with an error as shown below. root@hashirama:/sc5xx_dev/lib/toolchain# dpkg -i adi-CrossCoreEmbeddedStudio-...
2
votes
1answer
43 views

What are triggers in package management? [duplicate]

I notice during a software install or removal that near end of process a trigger is utilized and I am curious as to what these are ?
0
votes
1answer
66 views

Create debian package that installs another debian package (not from repository)

I would like to know if it is possible to have a debian package that installs another package as dependency which is not available from debian/ubuntu repositories. So lets say I have a package A.deb ...
0
votes
1answer
59 views

Can't install git, and any program on Ubuntu 18.04.1

osman@thisisakella:~$ sudo apt install git Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt --fix-broken install' to correct ...
1
vote
1answer
196 views

vscode activity titled 'Visual Studio Code - URL Handler'

I am fairly new to ubuntu and I uninstalled previous VS Code and reinstalled using the linked article since the one installed using software tool was not updating. https://linuxize.com/post/how-to-...
0
votes
1answer
73 views

problem in making software

I am trying to make an old version of lammps-13Jull11. I used this command in the src directory: make openmpi but it failed because of these errors: make[1]: Entering directory '/home/alireza/lammps-...
0
votes
2answers
286 views

How to Enable /etc/rc.local with Systemd 18.04 LTS [duplicate]

i tried to install /etc/rc.local and i am stuck in this step
0
votes
1answer
77 views

Cannot find Wine (Stable 3.0.3-bionic) even after I installed it

I followed the instructions on the Winehq website and ran the following command sudo apt-get install --install-recommends winehq-stable And this was the outcome: Reading package lists... Done ...
0
votes
0answers
8 views

ubuntu 16 lenovo y520 blue opening screen

i am having some issues with Ubuntu 16.04 on my lenovo (i am also running windows 10). First, wi-fi wasnt working at all, so i managed to connect to the internet via ethernet cable. After that, i ...
0
votes
1answer
593 views

Applications I download stay in Downloads, unlike software installed via APT. How do I correctly install downloaded applications? [duplicate]

I'm having some troubles installing applications, e.g. jdk, anaconda, IDE and everything else in my Ubuntu. After I download these programs from the website in tar.gz format, when I extract these ...
0
votes
0answers
36 views

Cannot compile software on Ubuntu 18.04 (AWS Lightsail)

I've used AWS Lightsail for over a year without issues. But recently cannot compile software on Ubuntu, which started shortly after upgrading to Ubuntu 18.04 LTS although not immediately. After a lot ...
0
votes
1answer
40 views

apt-get install -f wants to remove a lot of programs

I am trying to install a program (Stretchly), but get the following error: dpkg: dependency problems prevent configuration of stretchly:i386: stretchly:i386 depends on libappindicator1. dpkg: error ...
1
vote
1answer
45 views

What happened to Xboard? [duplicate]

"Unable to install xboard as not supported" I installed it a month ago. Had to delete it two days ago since the commands suddenly weren't working (although the mouse actions were). The program has ...
0
votes
0answers
30 views

When installing dotnet-sdk-2.1 on Ubuntu 16.04,system hint unable to locate package [duplicate]

System hint unable to locate package when trying to install dotnet-sdk-2.1 on Ubuntu 16.04
0
votes
0answers
85 views

How to solve TLS handshake failed error? [duplicate]

I was trying to install sublime text on my ubuntu 18.04. The method I tried to install Sublime Text is to follow this link Linux Package Manager Repositories but it throws below error when I issue the ...
1
vote
0answers
41 views

Installed the game, but unable to play

I'm totally new with Ubuntu (18.04). I have installed GOG game with .sh extension via terminal. When I starting the game, application window opens (not in full window) and as soon as I point cursos on ...
0
votes
0answers
7 views

libossp-uuid16 in 18.04 Server? [duplicate]

I use an application that requires libossp-uuid16. It installs fine on 18.04 desktop but not on 18.04 server. That package won't install on 18.04 server: Package libossp-uuid16 is not available, ...